[21.10 FEAT] Provide persistent vfio-ccw device assignments - libvirt part

Bug #1887929 reported by bugproxy
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
libvirt (Ubuntu)
Fix Released
Undecided
Canonical Server

Bug Description

Establish persistent information about CCW devices intended to be passed-through to KVM guests.
-> Improve system management for CCW passthrough devices

This request is for libvirt

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-186750 severity-high targetmilestone-inin2010
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → libvirt (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

Please can you share the libvirt target version this code is going to land in?
Please notice that it's 'planned' to have libvirt 6.4 in groovy.

Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
importance: Undecided → High
status: New → Incomplete
Changed in libvirt (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Server Team (canonical-server)
tags: added: libvirt-20.10
Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

I'm about to merge v6.6 but I can't find this in the commits.
Did this feature make it upstream?

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-08-06 09:03 EDT-------
The item is not upstream.
The libvirt part will add subchannel support in libvirts nodedev driver.
It's likely to make 6.8.

tags: added: libvirt-21.04
removed: libvirt-20.10
summary: - [20.10 FEAT] Provide persistent vfio-ccw device assignments - libvirt
+ [21.04 FEAT] Provide persistent vfio-ccw device assignments - libvirt
part
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-08-27 02:32 EDT-------
Feature request moved to 21.04. Will not make it in time for 20.10

tags: added: targetmilestone-inin2104
removed: targetmilestone-inin2010
Revision history for this message
Christian Ehrhardt  (paelzer) wrote : Re: [21.04 FEAT] Provide persistent vfio-ccw device assignments - libvirt part

This:
"nodedev: Add support for channel subsystem (CSS) devices on S390
A CSS device is represented as a parent device of a CCW device. This support allows to create vfio-ccw mediated devices with virNodeDeviceCreateXML()."

Is listed for 6.9 (yet unreleased) is that the feature you meant?
Or did it indeed go into 6.8 as planned but under a name that I didn't expect?

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-11-02 02:53 EDT-------
The persistence item is still under development. The news blurb you're referring to is the support for the nodedev libvirt driver, which is another item.

Frank Heimes (fheimes)
Changed in libvirt (Ubuntu):
status: New → Incomplete
summary: - [21.04 FEAT] Provide persistent vfio-ccw device assignments - libvirt
+ [21.10 FEAT] Provide persistent vfio-ccw device assignments - libvirt
part
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-23 03:55 EDT-------
Feature will not make it into 21.04, Moved to 21.10

tags: added: targetmilestone-inin2110
removed: targetmilestone-inin2104
Frank Heimes (fheimes)
tags: added: libvirt-21.10
removed: libvirt-21.04
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-05-03 09:11 EDT-------
All required patches for basic mdev management are included in upstream libvirt version 7.0.0.
For additional mdev management functionality e.g. define/start/stop/undefine upstream libvirt version 7.3.0 is required.
Libvirt makes use of mdevctl. The mdevctl minimum version should be 0.78 since it fixes errors while creating and removing mdevs required to work correctly with libvirt.

Revision history for this message
Frank Heimes (fheimes) wrote :

Hi Boris,
that's good, since the released and planned versions are:
1)
libvirt0 is in 7.0.0 in Hirsute/21.04 - hence it will generally and technically already work with 21.04
2)
for impish/21.10 we plan to go with 7.6.0, so the additional management functionality will be in automagically

In this case I would suggest that we keep this LP bug open until a version >= 7.3.0 hits the Impish archives.

But it looks like we can close the "sister ticket" LP 1887927 (as Invalid aka no longer needed).

Do you agree?

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-05-03 10:15 EDT-------
(In reply to comment #18)
> Hi Boris,
> that's good, since the released and planned versions are:
> 1)
> libvirt0 is in 7.0.0 in Hirsute/21.04 - hence it will generally and
> technically already work with 21.04
> 2)
> for impish/21.10 we plan to go with 7.6.0, so the additional management
> functionality will be in automagically
>
> In this case I would suggest that we keep this LP bug open until a version
> >= 7.3.0 hits the Impish archives.
>
> But it looks like we can close the "sister ticket" LP 1887927 (as Invalid
> aka no longer needed).
>
> Do you agree?

I agree if driverctl is available with at least version 0.101.
Even better would be version 0.110 since it makes it obvious how to use the bus parameter of the tool.

Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

FYI
 mdevctl | 0.78-1 | hirsute | source, all
 mdevctl | 0.78-1 | impish | source, all

I started trying to merge libvirt 7.4 and will tag the bug in its changelog.

Changed in libvirt (Ubuntu):
status: Incomplete → In Progress
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Incomplete → In Progress
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-06-17 05:03 EDT-------
(In reply to comment #20)
> FYI
> mdevctl | 0.78-1 | hirsute | source, all
> mdevctl | 0.78-1 | impish | source, all
>
> I started trying to merge libvirt 7.4 and will tag the bug in its changelog.

Would it be possible to upgrade mdevctl to version 0.81?
This version contains a bugfix which is very likely to get caught when using vfio-ccw.

Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

Done
 mdevctl | 0.81-1 | impish | source, all

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libvirt - 7.4.0-0ubuntu3

---------------
libvirt (7.4.0-0ubuntu3) impish; urgency=medium

  * d/t/smoke-lxc: skip if cgroup v1&v2 are present (systemd 248
    was not enough)

libvirt (7.4.0-0ubuntu2) impish; urgency=medium

  * d/t/smoke-lxc: skip before systemd 248 due to a known bug (LP: #1934966)

libvirt (7.4.0-0ubuntu1) impish; urgency=medium

  * Merge v7.4.0 from upstream,
    among a lot of new features and fixes this closes a few of issues
    reported against Ubuntu
    - Toleration for qemu >=6.0 handling of props (LP: #1932264)
    - Persistent vfio-ccw device assignments (LP: #1887929)
    - Drop patches that are upstream in v7.4.0
      - d/p/b/meson-Fix-cross-building-of-dtrace-probes.patch
      - d/p/b/apparmor-let-image-label-setting-loop-over-backing-files.patch
      - d/p/r/systemd-Revert-remote-Add-libvirtd-dependency-to-virt-gue.patch
      - d/p/u/lp-1913266-*: add vsock options to be usable with s390x
      - d/p/u/lp-1921754-*: EPYC-Rome-v2
      - d/p/u/lp-1921880-*: EPYC-Milan
    - d/libvirt-clients.install: completions no more are symlinked to vsh
    - Revert "disable firewalld support (universe dependency)"
      This does not add a runtime dependency and while firewalld isn't in
      main that way users can install and use it from universe.
      (LP: #1928113)
    - d/libvirt0.symbols: bump symbol versions for 7.4.0
    - d/rules: disable the now auto-built vstorage backend
    - not-installed: split daemon man pages are no yet installed

 -- Christian Ehrhardt <email address hidden> Thu, 08 Jul 2021 14:20:53 +0200

Changed in libvirt (Ubuntu):
status: In Progress → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: In Progress → Fix Released
Frank Heimes (fheimes)
information type: Private → Public
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-10-25 06:02 EDT-------
Fix is part of the package libvirt 7.4.0 which landed in impish (U21.10), hence closing the bug.
IBM BZ status change:->CLOSED

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers